Summary:     Various tools relating to the Simple Network Managemnet Protocol
Name:        net-snmp
Version:     5.2.1
Release:     8.pp
License:     BSD
Group:       System Environment/Monitoring
Source0:     http://download.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:     snmpd.init
Source2:     snmptrapd.init
Source3:     snmpd.logrotate
Source4:     snmpd.sysconfig
Source5:     snmptrapd.logrotate
Source6:     snmptrapd.sysconfig
Patch0:      %{name}-Makefile.in.patch
URL:         http://www.%{name}.org/
Buildroot:   /var/tmp/%{name}-root
Packager:    Peter Pramberger <peter.pramberger@member.fsf.org>
Requires:    glibc zlib openssl097 bzip2 rpm perl
Obsoletes:   ucd-snmp
Provides:    %{name}.pp
Prereq:      /bin/bash /sbin/ldconfig
BuildPrereq: gcc >= 2.96 /bin/mkdir /usr/bin/make /usr/bin/install
BuildPrereq: glibc-devel openssl097-devel tcp_wrappers zlib-devel
BuildPrereq: rpm-devel perl bzip2
ExclusiveOS: linux

%description
The NET-SNMP (formerly UCD-SNMP) package contains various
tools relating to the Simple Network Management Protocol
including an extensible agent, an SNMP library, tools to
request or set information from SNMP agents, tools to
generate and handle SNMP traps, a version of the unix
'netstat' command using SNMP and a Tk/perl mib browser.
It was originally based on the Carnegie Mellon University
SNMP implementation (version 2.1.2.1), but has been great-
ly enhanced, ported and fixed and barely resembles the
original package anymore.


%package devel
Summary:     The development environment for the NET-SNMP project
Group:       Development/Libraries
Requires:    %{name} = %{version}-%{release} %{name}.pp
Provides:    %{name}-devel.pp

%package servers
Summary:     The SNMP daemons from the NET-SNMP project
Group:       System Environment/Daemons
Requires:    %{name}-utils = %{version}-%{release} %{name}-utils.pp
Provides:    %{name}-servers.pp

%package utils
Summary:     Network management utilities using SNMP, from the NET-SNMP project
Group:       Applications/System
Requires:    %{name} = %{version}-%{release} %{name}.pp
Provides:    %{name}-utils.pp


%description devel
The %{name}-devel package contains the development libraries and
header files for use with the NET-SNMP project's network management
tools.

%description servers
The %{name}-servers package contains the SNMP and SNMPTRAP daemon
from the NET-SNMP project.

%description utils
The %{name}-utils package contains various utilities for use with the
NET-SNMP network management project.


%prep
%setup -q
%patch0 -p1


%build
export CFLAGS="$RPM_OPT_FLAGS -I/usr/kerberos/include"
export LDFLAGS="-L/usr/kerberos/lib -lpthread"
./configure \
	--prefix=/usr                             \
	--sysconfdir=/etc                         \
	--localstatedir=/var                      \
	--mandir=/usr/share/man                   \
	--enable-ipv6                             \
	--enable-mib-config-checking              \
	--with-openssl=/usr                       \
	--without-root-access                     \
	--with-persistent-directory=/var/lib/snmp \
	--with-sys-contact="Unknown"              \
	--with-sys-location="Unknown"             \
	--with-perl-modules                       \
	--enable-embedded-perl                    \
	--with-defaults                           \
	--enable-ucd-snmp-compatibility           \
	--enable-shared                           \
	--enable-static                           \
	--with-libwrap                            \
	--with-zlib                               \
	--with-transports="UDP UDPIPv6 TCPIPv6 TCP Unix Callback" \
	--with-mib-modules="mibII snmpv3mibs ucd_snmp agent_mibs agentx notification target utilities host disman/event-mib smux mibII/mta_sendmail misc/ipfwacc ucd-snmp/diskio tunnel agentx examples/ucdDemoPublic"
make all


# Do not strip, only compress documentation
%define __os_install_post /usr/lib/rpm/brp-compress


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig
mkdir -p $RPM_BUILD_ROOT/etc/snmp
mkdir -p $RPM_BUILD_ROOT/usr
mkdir -p $RPM_BUILD_ROOT/var/lib/snmp
make \
	INSTALL_PREFIX=$RPM_BUILD_ROOT \
	perlroot=$RPM_BUILD_ROOT/usr   \
	install
install -m 0755 %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/snmpd
install -m 0755 %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/snmptrapd
install -m 0644 %{SOURCE3} $RPM_BUILD_ROOT/etc/logrotate.d/snmpd
install -m 0644 %{SOURCE5} $RPM_BUILD_ROOT/etc/logrotate.d/snmptrapd
install -m 0644 %{SOURCE4} $RPM_BUILD_ROOT/etc/sysconfig/snmpd
install -m 0644 %{SOURCE6} $RPM_BUILD_ROOT/etc/sysconfig/snmptrapd
find $RPM_BUILD_ROOT/usr/lib/perl5 -name .packlist -exec rm -f {} \;


%post
/sbin/ldconfig

%post servers
/sbin/chkconfig --add snmpd
/sbin/chkconfig snmpd on
/sbin/chkconfig --add snmptrapd
/sbin/chkconfig snmptrapd off
if [ -s /etc/snmp/snmpd.conf ]; then
   if [ -f /var/lock/subsys/snmpd ]; then
      /etc/rc.d/init.d/snmpd restart
   fi
fi
if [ -s /etc/snmp/snmptrapd.conf ]; then
   if [ -f /var/lock/subsys/snmptrapd ]; then
      /etc/rc.d/init.d/snmptrapd restart
   fi
fi


%preun servers
if [ $1 = 0 ] ; then
   /sbin/chkconfig snmpd off
   /sbin/chkconfig --del snmpd
   /sbin/chkconfig snmptrapd off
   /sbin/chkconfig --del snmptrapd
   if [ -f /var/lock/subsys/snmpd ]; then
      /etc/rc.d/init.d/snmpd stop
   fi
   if [ -f /var/lock/subsys/snmptrapd ]; then
      /etc/rc.d/init.d/snmptrapd stop
   fi
fi


%postun
/sbin/ldconfig


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc AGENT* ChangeLog COPYING EXAMPLE.conf FAQ INSTALL NEWS PORTING
%doc README* TODO
%dir /etc/snmp
/usr/lib/*.so.*
/usr/lib/perl5/*
%dir /usr/share/snmp/mibs
%config /usr/share/snmp/mibs/*

%files devel
%defattr(-,root,root)
/usr/bin/mib2c
/usr/include/*-snmp
/usr/lib/*.*a
/usr/lib/*.so
/usr/share/man/man1/mib2c*
/usr/share/man/man3/*
/usr/share/snmp/mib2c*

%files servers
%defattr(-,root,root)
/etc/rc.d/init.d/*
%config(noreplace) /etc/logrotate.d/*
%config(noreplace) /etc/sysconfig/*
/usr/bin/fixproc
/usr/bin/ipf-mod.pl
/usr/bin/traptoemail
/usr/sbin/*
/usr/share/man/man8/*
/usr/share/snmp/snmp_perl.pl
%dir %attr(750,root,root) /var/lib/snmp

%files utils
%defattr(-,root,root)
/usr/bin/encode*
/usr/bin/*-config
/usr/bin/snmp*
/usr/bin/tkmib
/usr/share/man/man1/snmp*
/usr/share/man/man5/*
%dir /usr/share/snmp
%dir /usr/share/snmp/snmpconf-data
/usr/share/snmp/snmpconf-data/*


%changelog
* Fri Mar 11 2005 peter.pramberger@member.fsf.org
- new version 5.2.1

* Tue Oct 19 2004 peter.pramberger@member.fsf.org
- new version 5.1.2

* Mon May 17 2004 peter.pramberger@member.fsf.org
- new version 5.1.1
- compiled for RH73

* Tue Jan 28 2003 peter.pramberger@member.fsf.org
- renamed to net-snmp
- new version 5.0.7

* Fri Mar 15 2002 peter.pramberger@member.fsf.org
- created

